Recent

Author Topic: Why can't i rebuild the IDE to install something?  (Read 3883 times)

Gald

  • Jr. Member
  • **
  • Posts: 85
Why can't i rebuild the IDE to install something?
« on: October 31, 2021, 03:54:05 am »
 %)
Lazarus 2.0.12 r64642 FPC 3.2.0 x86_64-win64-win32/win64/Manjaro KDE 21
AMD Ryzen 3 1300X Quad-Core Processor 3.50 GHz / 8,00 GB RAM / GTX 1500 TI / 2TB M.2 NVMe

trev

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1978
  • Former Delphi 1-7, 10.2 user
Re: Why can't i rebuild the IDE to install something?
« Reply #1 on: October 31, 2021, 01:47:41 pm »
The forum's crystal ball is in for its 1000 year service, so we can't see:

* your operating system;
* your FPC compiler version;
* your Lazarus version;
* how you installed FPC + Lazarus.

All of which might help someone attempt to resolve your issue :-)
Lazarus 2.3, FPC 3.3.1 macOS 12.3.1 x86_64 Xcode 13.4
Lazarus 2.3, FPC 3.3.1 macOS 12.3.1 aarch64 Xcode 13.4

Soner

  • Sr. Member
  • ****
  • Posts: 273
Re: Why can't i rebuild the IDE to install something?
« Reply #2 on: October 31, 2021, 02:40:16 pm »
%)
You have problem with chmreader,. The genericslibs want recompile chmreader package from fpc. But lazarus-ide can't compile fpc-packages automatically, so you need to recompile it self. When you don't need generics libs or sparta package then uninstall it.


Gald

  • Jr. Member
  • **
  • Posts: 85
Re: Why can't i rebuild the IDE to install something?
« Reply #3 on: October 31, 2021, 06:05:26 pm »
The forum's crystal ball is in for its 1000 year service, so we can't see:

* your operating system;
* your FPC compiler version;
* your Lazarus version;
* how you installed FPC + Lazarus.

All of which might help someone attempt to resolve your issue :-)

Those information are useless for this kinda of problem.
Do a simple install component from OPM and rebuild the IDE should work in every Operating System and in all Lazarus Version.
Actually, all the REAL need information are in the image related.

But wait, there's a true Witch in this forum below:

You have problem with chmreader,. The genericslibs want recompile chmreader package from fpc. But lazarus-ide can't compile fpc-packages automatically, so you need to recompile it self. When you don't need generics libs or sparta package then uninstall it.

Thank you, Sr. Mage. Your Crystal Ball works very well.
I'll sent Mana potions to you though the Hobbit Delivery Express!
Lazarus 2.0.12 r64642 FPC 3.2.0 x86_64-win64-win32/win64/Manjaro KDE 21
AMD Ryzen 3 1300X Quad-Core Processor 3.50 GHz / 8,00 GB RAM / GTX 1500 TI / 2TB M.2 NVMe

dbannon

  • Hero Member
  • *****
  • Posts: 2022
    • tomboy-ng, a rewrite of the classic Tomboy
Re: Why can't i rebuild the IDE to install something?
« Reply #4 on: October 31, 2021, 11:49:49 pm »
...
But wait, there's a true Witch in this forum below:

No, I doubt it. Most forum members would assume you read your own error message, your true Witch just told you what was in there.

Davo
Lazarus 2, Linux (and reluctantly Win10, OSX)
My Project - https://github.com/tomboy-notes/tomboy-ng

af0815

  • Hero Member
  • *****
  • Posts: 937
Re: Why can't i rebuild the IDE to install something?
« Reply #5 on: November 01, 2021, 08:34:21 am »
This is a well known problem with sparta.

In short: remove the sparta packages and the sparta docked form editor. Use fgl and the new packages for docking lazarus.

All funtions of sparta are now in Fpc and Lazarus.
« Last Edit: November 01, 2021, 08:36:32 am by af0815 »
regards
Andreas

 

TinyPortal © 2005-2018